[Rubygems-developers] Problems updating a system from 1.2 to 1.3.1

Jim Freeze rubygems at freeze.org
Sun Nov 9 08:36:37 EST 2008


Has anyone experienced this problem:

jdf at host29 703 /Users/jdf/bin % gem -v
1.2.0
jdf at host29 704 /Users/jdf/bin % sudo gem update --system
Password:
Updating RubyGems
Updating rubygems-update
Successfully installed rubygems-update-1.3.1
ERROR:  While executing gem ... (NameError)
    undefined local variable or method `remote_gemspecs' for
#<Gem::Commands::UpdateCommand:0x105c390>
jdf at host29 705 /Users/jdf/bin % gem -v
1.2.0
jdf at host29 706 /Users/jdf/bin % sudo gem update --system
Updating RubyGems
Nothing to update
jdf at host29 707 /Users/jdf/bin % gem -v
1.2.0
jdf at host29 708 /Users/jdf/bin % rehash
jdf at host29 709 /Users/jdf/bin % gem -v
1.2.0

I also downloaded the .gem file for 1.3.1 and installed it, but still
only had 1.2 returned from 'gem -v'.
I finally downloaded the .tgz file and was able to install 1.3.1.


-- 
Jim Freeze


More information about the Rubygems-developers mailing list